# Generated by Django 1.11.29 on 2022-08-22 15:13
import django.db.models.deletion
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):
    dependencies = [
        ("locations", "0030_user_groups"),
    ]

    operations = [
        migrations.CreateModel(
            name="RClone",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "remote_name",
                    models.CharField(
                        blank=True,
                        help_text="Must match rclone environment variables",
                        max_length=64,
                        verbose_name="Remote Name",
                    ),
                ),
                (
                    "container",
                    models.CharField(
                        blank=True,
                        help_text="S3 bucket or object store container name",
                        max_length=64,
                        verbose_name="Bucket or Container Name",
                    ),
                ),
            ],
            options={
                "verbose_name": "RClone",
            },
        ),
        migrations.AlterField(
            model_name="space",
            name="access_protocol",
            field=models.CharField(
                choices=[
                    ("ARKIVUM", "Arkivum"),
                    ("DV", "Dataverse"),
                    ("DC", "DuraCloud"),
                    ("DSPACE", "DSpace via SWORD2 API"),
                    ("DSPC_RST", "DSpace via REST API"),
                    ("FEDORA", "FEDORA via SWORD2"),
                    ("GPG", "GPG encryption on Local Filesystem"),
                    ("FS", "Local Filesystem"),
                    ("LOM", "LOCKSS-o-matic"),
                    ("NFS", "NFS"),
                    ("REPLICA", "Write-Only Replica Staging on Local Filesystem"),
                    ("PIPE_FS", "Pipeline Local Filesystem"),
                    ("RCLONE", "RClone"),
                    ("SWIFT", "Swift"),
                    ("S3", "S3"),
                ],
                help_text="How the space can be accessed.",
                max_length=8,
                verbose_name="Access protocol",
            ),
        ),
        migrations.AddField(
            model_name="rclone",
            name="space",
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.CASCADE,
                to="locations.Space",
                to_field="uuid",
            ),
        ),
    ]
